Extending Qt Creator Manual | ByteArrayRef

Extending Qt Creator Manual 4.5.2

# ByteArrayRef Class

(CPlusPlus::ByteArrayRef)

- List of all members, including inherited members

## Public Functions

| ByteArrayRef()
| ByteArrayRef(const QByteArray *ref)
| ByteArrayRef(const char *start, int length)
| ByteArrayRef(const QByteArray *ref, int offset, int length)
char | at(int pos) const
int | count(char c) const
int | length() const
int | size() const
const char * | start() const
bool | startsWith(const char *ch) const
QByteArray | toByteArray() const
bool | operator!=(const QByteArray &other) const
bool | operator!=(const char *other) const
bool | operator==(const QByteArray &other) const
bool | operator==(const char *other) const
char | operator[](int pos) const

## Member Function Documentation

### ByteArrayRef::ByteArrayRef()

Default constructs an instance of ByteArrayRef.

### ByteArrayRef::ByteArrayRef(const QByteArray *ref)

Default constructs an instance of ByteArrayRef.

### ByteArrayRef::ByteArrayRef(const char *start, int length)

Default constructs an instance of ByteArrayRef.

### ByteArrayRef::ByteArrayRef(const QByteArray *ref, int offset, int length)

Default constructs an instance of ByteArrayRef.

### char ByteArrayRef::at(int pos) const

### int ByteArrayRef::count(char c) const

### int ByteArrayRef::length() const

### int ByteArrayRef::size() const

### const char *ByteArrayRef::start() const

### bool ByteArrayRef::startsWith(const char *ch) const

### QByteArray ByteArrayRef::toByteArray() const

### bool ByteArrayRef::operator!=(const QByteArray &other) const

### bool ByteArrayRef::operator!=(const char *other) const

### bool ByteArrayRef::operator==(const QByteArray &other) const

### bool ByteArrayRef::operator==(const char *other) const

### char ByteArrayRef::operator[](int pos) const